Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.metadata
Class AbstractFieldValidatorDescription

    java.lang.Object
      com.opensymphony.xwork2.validator.metadata.AbstractFieldValidatorDescription

All Implemented Interfaces:
  ValidatorDescription

Direct Known Subclasses:
  ConversionErrorFieldValidatorDescription, DateRangeFieldValidatorDescription, DoubleRangeFieldValidatorDescription, EmailValidatorDescription, FieldExpressionValidatorDescription, IntRangeFieldValidatorDescription, RequiredFieldValidatorDescription, RequiredStringValidatorDescription, StringLengthFieldValidatorDescription, URLValidatorDescription, VisitorFieldValidatorDescription

    public abstract class AbstractFieldValidatorDescription

extends Object
implements ValidatorDescription

`AbstractFieldValidatorDescription`

Version:
  $Id: AbstractFieldValidatorDescription.java 1187 2006-11-13 08:05:32Z mrdon $
Author:
  Rainer Hermanns

Field Summary
`String` | `fieldName`
`String` | `key`
`protected static Log` | `log` Jakarta commons-logging reference.
`String` | `message`
`boolean` | `shortCircuit`
`boolean` | `simpleValidator`

Constructor Summary
`AbstractFieldValidatorDescription()`
`AbstractFieldValidatorDescription(String fieldName)` Creates an AbstractFieldValidatorDescription with the specified field name.

Method Summary
`abstract String` | `asFieldXml()` Returns the field validator XML definition.
`abstract String` | `asSimpleXml()` Returns the validator XML definition.
`String` | `asXml()` Returns the validator XML definition.
`String` | `getFieldName()` Sets the field name for this validator rule.
`boolean` | `isSimpleValidator()`
`void` | `setFieldName(String fieldName)` Sets the field name for this validator rule.
`void` | `setKey(String key)` Sets the I18N message key.
`void` | `setMessage(String message)` Sets the default validator failure message.
`void` | `setShortCircuit(boolean shortCircuit)` Set the shortCircuit flag.
`void` | `setSimpleValidator(boolean simpleValidator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  Jakarta commons-logging reference.

### fieldName

    public String fieldName

### key

    public String key

### message

    public String message

### shortCircuit

    public boolean shortCircuit

### simpleValidator

    public boolean simpleValidator

Constructor Detail

### AbstractFieldValidatorDescription

    public AbstractFieldValidatorDescription()

### AbstractFieldValidatorDescription

    public AbstractFieldValidatorDescription(String fieldName)

  Creates an AbstractFieldValidatorDescription with the specified field name.

  Parameters:
    `fieldName` -

Method Detail

### getFieldName

    public String getFieldName()

  Sets the field name for this validator rule.

  Specified by:
    `getFieldName` in interface `ValidatorDescription`
  Returns:
    fieldName the field name for this validator rule

### setFieldName

    public void setFieldName(String fieldName)

  Sets the field name for this validator rule.

  Parameters:
    `fieldName` - the field name for this validator rule

### setKey

    public void setKey(String key)

  Sets the I18N message key.

  Specified by:
    `setKey` in interface `ValidatorDescription`
  Parameters:
    `key` - the I18N message key

### setMessage

    public void setMessage(String message)

  Sets the default validator failure message.

  Specified by:
    `setMessage` in interface `ValidatorDescription`
  Parameters:
    `message` - the default validator failure message

### setShortCircuit

    public void setShortCircuit(boolean shortCircuit)

  Set the shortCircuit flag.

  Specified by:
    `setShortCircuit` in interface `ValidatorDescription`
  Parameters:
    `shortCircuit` - the shortCircuit flag.

### setSimpleValidator

    public void setSimpleValidator(boolean simpleValidator)

### isSimpleValidator

    public boolean isSimpleValidator()

  Specified by:
    `isSimpleValidator` in interface `ValidatorDescription`

### asXml

    public String asXml()

  Returns the validator XML definition.

  Specified by:
    `asXml` in interface `ValidatorDescription`
  Returns:
    the validator XML definition.

### asFieldXml

    public abstract String asFieldXml()

  Returns the field validator XML definition.

  Returns:
    the field validator XML definition.

### asSimpleXml

    public abstract String asSimpleXml()

  Returns the validator XML definition.

  Returns:
    the validator XML definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.